# $Source: /cvsroot/civ4ccp/civ4ccp/Assets/Python/CUSTOM/DEMO/Attic/DEMO_CustomOption.py,v $: $Name: dev $
#
#	DEMO Example for SimCutie's Custom Option screen facility.
#	See "CvCustomOption.py" for detailed information.
#
__author__ = "$Author: simcutie $"
__revision__ = "$Id: DEMO_CustomOption.py,v 1.1.4.4 2006/06/23 02:45:33 simcutie Exp $"
__version__ = "$Revision: 1.1.4.4 $"
__date__ = "$Date: 2006/06/23 02:45:33 $"

import PyCivSim
import CvUtil

def EventHandlerRegister( evt_mgr, unused = None ):	
	import CvCustomEvent
	CvUtil.pyPrint(__name__ + ": MY Mod Event Register OK.")
#	PyCivSim.addText("TXT_KEY_OPTIONS_DEMO_CB1_ENABLE_MY_MOD", "Enable My Mod Dmo")
	return { CvCustomEvent.EVENT_OPTIONBEGIN : onMyDrawOption }

def onMyDrawOption(argsList):
	optscr, canvas, Unused = argsList[:3]

	PyCivSim.useOptionSection("DEMO_SECTION")
	# Show Checkbox on Custom Option Screen

	optscr.addGenericCheckbox( canvas, "EanleMyModCheckbox",
		"TXT_KEY_OPTIONS_DEMO_CB1_ENABLE_MY_MOD", "DEMO_SECTION", "my_mod_enable", False )

	# show Drop down on Custom Option Screen
	aszDropdownElements = ( 
		"TXT_KEY_OPTIONS_DEMO_DD2_CHOICE1",
		"TXT_KEY_OPTIONS_DEMO_DD2_CHOICE2",
		"TXT_KEY_OPTIONS_DEMO_DD2_CHOICE3" )
	
	optscr.addGenericDropdown( canvas, "MySelctionDropdown", 
		"TXT_KEY_OPTIONS_DEMO_DD2_SELECT_LABEL", aszDropdownElements, "DEMO_SECTION",
		"demo_dd2_choice", 0 )

def DemoCustomOption():

	if PyCivSim.getCutomOption("DEMO_SECTION","demo_mod_enable", False) :
		PyCivSim.MSGBEBUG("CheckBox is On")
	else :
		PyCivSim.MSGBEBUG("CheckBox is OFF")

	optVal =  PyCivSim.getCutomOption("DEMO_SECTION","demo_dd2_choice", 0)
	if optVal == 0 :
		PyCivSim.MSGBEBUG("First Dropdown selected")
	elif optVal == 1 or optVal == 2 :
		PyCivSim.MSGBEBUG("2nd or 3rd Dropdown selected")
	elif optVal == 3: 
		PyCivSim.MSGBEBUG("Last Dropdown selected")
 
#. Add appropiate TXT_KEY_'s to text XML
#	"TXT_KEY_OPTIONS_DEMO_CB1_ENABLE_MY_MOD" 
#	"TXT_KEY_OPTIONS_DEMO_CB1_ENABLE_MY_MOD_HELP" (for tool tip),
#	"TXT_KEY_OPTIONS_DEMO_DD2_SELECT_LABEL",
#	"TXT_KEY_OPTIONS_DEMO_DD2_SELECT_LABEL_HELP",  (for tool tip),
#	"TXT_KEY_OPTIONS_DEMO_DD2_CHOICE1"
#	"TXT_KEY_OPTIONS_DEMO_DD2_CHOICE2"
#	"TXT_KEY_OPTIONS_DEMO_DD2_CHOICE3"
